typeset -i _compinit_updated_at=$(date +'%j' -r $ZINIT[ZCOMPDUMP_PATH] 2>/dev/null || stat -f '%Sm' -t '%j' $ZINIT[ZCOMPDUMP_PATH] 2>/dev/null)
if [ $(date +'%j') != $_compinit_updated_at ]; then
	ZINIT[COMPINIT_OPTS]="-i"
else
	ZINIT[COMPINIT_OPTS]="-C -i"
fi
unset _compinit_updated_at

zinit wait lucid for \
	atinit"zpcompinit; zpcdreplay" \
		zdharma/fast-syntax-highlighting \
	atload"!_zsh_autosuggest_start" \
		zsh-users/zsh-autosuggestions \
	blockf \
		zsh-users/zsh-completions

zmodload -i zsh/complist

zstyle ':completion:*:processes'          command 'ps -ax'
zstyle ':completion:*:*:kill:*:processes' list-colors '=(#b) #([0-9]#)*=0=01;32'
zstyle ':completion:*:*:kill:*'           menu yes select
zstyle ':completion:*:kill:*'             force-list always

zstyle ':completion:*:processes-names'    command 'ps -e -o comm='
zstyle ':completion:*:*:killall:*'        menu yes select
zstyle ':completion:*:killall:*'          force-list always

